import { View, Text,Image } from '@tarojs/components'
import styles from './index.module.scss'
import classnames from 'classnames'
import { FC, useRef, useState } from "react"
import Upload from '../Upload'
import {screenshot} from '@/common/util'


type PropsType = {
  onUploadConfirm?: Function
}

const Texture:FC<PropsType> = (params) => {
  const {onUploadConfirm} = params

  const handleUploadConfirm = () => {
    onUploadConfirm && onUploadConfirm()
  }

  const uploadEl = useRef()

  return (
    <View className={styles['texture-container']}>
      <View className={styles['tc-info']}>
        <View onClick={uploadEl.handleTriggerUploadModal(true)} className={styles['tc-i-upload']}>
          {detail.texture_url && <Image src={screenshot(detail.texture_url)} />}

          <View v-else className='tc-i-u-box'>
            <Text className='iconfont icon-shangchuanzhaopian'></Text>
            <View>上传纹理</View>
          </View>
        </View>
        <View className={styles['tc-i-num']}>
          <View>
            <View className='color-blue'>{(data?.list?.length ?? 0) - calcNoSampling}</View>
            <Text>已取样</Text>
          </View>
          <View>
            <View className='color-yellow'>{calcNoSampling}</View>
            <Text>未取样</Text>
          </View>
        </View>
      </View>
      <Upload onUploadConfirm={handleUploadConfirm} ref={uploadEl} />
    </View>
  )
}
export default Texture
